LLVM: lldb::SBInstruction Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBInstruction Class Reference

`#include <SBInstruction.h>`

## Public Member Functions
| SBInstruction ()
| SBInstruction (const SBInstruction &rhs)
const SBInstruction & | operator= (const SBInstruction &rhs)
| ~SBInstruction ()
bool | IsValid ()
SBAddress | GetAddress ()
lldb::AddressClass | GetAddressClass ()
const char * | GetMnemonic (lldb::SBTarget target)
const char * | GetOperands (lldb::SBTarget target)
const char * | GetComment (lldb::SBTarget target)
lldb::SBData | GetData (lldb::SBTarget target)
size_t | GetByteSize ()
bool | DoesBranch ()
void | Print (FILE *out)
bool | GetDescription (lldb::SBStream &description)
bool | EmulateWithFrame (lldb::SBFrame &frame, uint32_t evaluate_options)
bool | DumpEmulation (const char *triple)
bool | TestEmulation (lldb::SBStream &output_stream, const char *test_file)

## Protected Member Functions
| SBInstruction (const lldb::InstructionSP &inst_sp)
void | SetOpaque (const lldb::InstructionSP &inst_sp)

## Friends
class | SBInstructionList

## Detailed Description

Definition at line 23 of file SBInstruction.h.

## Constructor & Destructor Documentation

lldb::SBInstruction::SBInstruction | ( |  | ) |

lldb::SBInstruction::SBInstruction | ( | const SBInstruction & | rhs | ) |

lldb::SBInstruction::~SBInstruction | ( |  | ) |

lldb::SBInstruction::SBInstruction | ( | const lldb::InstructionSP & | inst_sp | ) |
| protected

## Member Function Documentation

bool lldb::SBInstruction::DoesBranch | ( |  | ) |

bool lldb::SBInstruction::DumpEmulation | ( | const char * | triple | ) |

bool lldb::SBInstruction::EmulateWithFrame | ( | lldb::SBFrame & | frame,
|  | uint32_t | evaluate_options
| ) |  |

SBAddress lldb::SBInstruction::GetAddress | ( |  | ) |

lldb::AddressClass lldb::SBInstruction::GetAddressClass | ( |  | ) |

size_t lldb::SBInstruction::GetByteSize | ( |  | ) |

const char* lldb::SBInstruction::GetComment | ( | lldb::SBTarget | target | ) |

lldb::SBData lldb::SBInstruction::GetData | ( | lldb::SBTarget | target | ) |

bool lldb::SBInstruction::GetDescription | ( | lldb::SBStream & | description | ) |

const char* lldb::SBInstruction::GetMnemonic | ( | lldb::SBTarget | target | ) |

const char* lldb::SBInstruction::GetOperands | ( | lldb::SBTarget | target | ) |

bool lldb::SBInstruction::IsValid | ( |  | ) |

const SBInstruction& lldb::SBInstruction::operator= | ( | const SBInstruction & | rhs | ) |

void lldb::SBInstruction::Print | ( | FILE * | out | ) |

void lldb::SBInstruction::SetOpaque | ( | const lldb::InstructionSP & | inst_sp | ) |
| protected

bool lldb::SBInstruction::TestEmulation | ( | lldb::SBStream & | output_stream,
|  | const char * | test_file
| ) |  |

## Friends And Related Function Documentation

friend class SBInstructionList
| friend

Definition at line 79 of file SBInstruction.h.

The documentation for this class was generated from the following file:

- SBInstruction.h